package cn.iocoder.yudao.module.system.dal.mysql.miniapp;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.miniapp.MiniAppUserDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MiniAppUserMapper extends BaseMapperX<MiniAppUserDO> {

    default MiniAppUserDO selectByOpenId(String openId) {
        return selectOne(MiniAppUserDO::getOpenId, openId);
    }

    default MiniAppUserDO selectByPhone(String phone) {
        return selectOne(MiniAppUserDO::getPhone, phone);
    }
}

